package com.bonus.canteen.core.menuai.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.time.LocalDateTime;

@TableName("menuai_picture")
public class MenuaiPicture {
   @TableId
   private Long id;
   private String pictureName;
   private Long dishesId;
   private Long stallId;
   private String pictureUrl;
   private Integer pictureType;
   private Long bigPictureId;
   private String crby;
   private LocalDateTime crtime;
   private String upby;
   private LocalDateTime uptime;
   private Long consumerDetectPicId;
   private Integer trainTag;
   private Integer showTag;

   public Long getId() {
      return this.id;
   }

   public String getPictureName() {
      return this.pictureName;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getPictureUrl() {
      return this.pictureUrl;
   }

   public Integer getPictureType() {
      return this.pictureType;
   }

   public Long getBigPictureId() {
      return this.bigPictureId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getConsumerDetectPicId() {
      return this.consumerDetectPicId;
   }

   public Integer getTrainTag() {
      return this.trainTag;
   }

   public Integer getShowTag() {
      return this.showTag;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setPictureName(final String pictureName) {
      this.pictureName = pictureName;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setPictureUrl(final String pictureUrl) {
      this.pictureUrl = pictureUrl;
   }

   public void setPictureType(final Integer pictureType) {
      this.pictureType = pictureType;
   }

   public void setBigPictureId(final Long bigPictureId) {
      this.bigPictureId = bigPictureId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setConsumerDetectPicId(final Long consumerDetectPicId) {
      this.consumerDetectPicId = consumerDetectPicId;
   }

   public void setTrainTag(final Integer trainTag) {
      this.trainTag = trainTag;
   }

   public void setShowTag(final Integer showTag) {
      this.showTag = showTag;
   }
}
